<app-login-toolbar></app-login-toolbar>

<div class="dash-body">
  <form (submit)="shoot()">
    <mat-grid-list cols="4" rowHeight="80px">
      <mat-grid-tile>
        <mat-form-field appearance="fill">
          <mat-label>Select target</mat-label>
          <input matInput name="target" [value]="target.getTargetURL()" (change)="setNewTarget($event)">
        </mat-form-field>
      </mat-grid-tile>
      <mat-grid-tile>
        <mat-form-field appearance="fill">
          <mat-label>Shoot type</mat-label>
          <mat-select [(ngModel)]="selectedType" [ngModelOptions]="{standalone: true}">
            <mat-option *ngFor="let type of types" [value]="type">
              {{type.name}}
            </mat-option>
          </mat-select>
        </mat-form-field>
      </mat-grid-tile>
      <mat-grid-tile>
        <mat-form-field appearance="fill">
          <mat-label>How many times</mat-label>
          <mat-select [(ngModel)]="selectedCount" [ngModelOptions]="{standalone: true}">
            <mat-option *ngFor="let count of counts" [value]="count">
              {{count.name}}
            </mat-option>
          </mat-select>
        </mat-form-field>
      </mat-grid-tile>
      <mat-grid-tile>
        <div *ngIf="chartBuilding">
          <mat-spinner></mat-spinner>
        </div>
        <div *ngIf="!chartBuilding">
          <button type="submit" mat-raised-button color="warn">Shoot!</button>
        </div>
      </mat-grid-tile>
    </mat-grid-list>
    <mat-divider></mat-divider>
    <div echarts [options]="options" theme="macarons"class="demo-chart"></div>
  </form>
</div>
